%define section   free
%define base_name commons-jelly
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        1jpp
Epoch:          0
Summary:        Jelly Scripting Engine

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jelly/
Source0:        commons-jelly-1.0-src.tar.gz
Source1:        jelly-tags-231113.tar.gz
Source2:        commons-jelly-tags-xml-1.1.tar.gz
# Exported revision 231113.
# svn export http://svn.apache.org/repos/asf/jakarta/commons/proper/jelly/tags/commons-jelly-1.0/jelly-tags
Source3:        commons-jelly-tags-jmx-build.xml
Patch0:         commons-jelly-tags-xml-build_xml.patch
Patch1:         commons-jelly-tags-jsl-suite_jelly.patch
Patch2:         commons-jelly-tags-jsl-example_jelly.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
# Jelly build and test BuildRequires
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit
BuildRequires:  xmlunit
# Jelly general BuildRequires
BuildRequires:  dom4j >= 0:1.6.1
BuildRequires:  jakarta-commons-jexl >= 0:1.0
BuildRequires:  jakarta-commons-beanutils16
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jaxen >= 0:1.1-0.b7
BuildRequires:  forehead
BuildRequires:  servletapi4
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
# Jelly taglibs individual BuildRequires
## for tags-ant, tags-fmt and tags-jsl
BuildRequires:	jakarta-commons-grant
## for tags-antlr
BuildRequires:	antlr
## for tags-avalon
BuildRequires:	avalon-framework
## for tags-beanshell and tags-fmt
BuildRequires:	bsh
## for tags-beanshell
BuildRequires:	libreadline-java
## for tags-betwixt
BuildRequires:	jakarta-commons-betwixt
BuildRequires:	jakarta-commons-digester
## for tags-bsf
BuildRequires:	bsf
## for tags-email
BuildRequires:	jaf
BuildRequires:	javamail
## for tags-html
BuildRequires:	nekohtml
## for tags-http, tags-jetty and tags-soap
BuildRequires:	jakarta-commons-httpclient
## for tags-jaxme
BuildRequires:	ws-jaxme
## for tags-jetty
BuildRequires:	jetty4
BuildRequires:	servletapi4
## for tags-jms
BuildRequires:	jakarta-commons-messenger
BuildRequires:	jms
## for tags-jmx
BuildRequires:	mx4j
## for tags-junit
#BuildRequires:	junit # already required as general test tool
## for tags-ojb
BuildRequires:	db-ojb
## for tags-quartz
BuildRequires:	log4j
BuildRequires:	quartz
## for tags-soap
BuildRequires:	axis
## for tags-sql
BuildRequires:	hsqldb
BuildRequires:	jdbc-stdext
## for tags-validate
BuildRequires:	isorelax
BuildRequires:	msv-msv
BuildRequires:	relaxngDatatype
## for tags-velocity
BuildRequires:	velocity
## for tags-xmlunit and unit tests of tags-jaxme
BuildRequires:	xmlunit
# Jelly general runtime requirements
Requires:  dom4j >= 0:1.6.1
Requires:  jakarta-commons-jexl >= 0:1.0
Requires:  jakarta-commons-beanutils16
Requires:  jakarta-commons-cli
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-discovery
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  jakarta-taglibs-standard
Requires:  jaxen >= 0:1.1-0.b7
Requires:  forehead
Requires:  servletapi4
Requires:  xerces-j2
Requires:  xml-commons-apis

%description
Jelly is a Java and XML based scripting engine. 
Jelly combines the best ideas from JSTL, Velocity, 
DVSL, Ant and Cocoon all together in a simple
yet powerful scripting engine.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}. Includes javadocs for all jelly-tags

%package 	tags-ant
Summary:        Ant tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-util = 0:%{version}-%{release}
Requires:	jakarta-commons-grant

%description    tags-ant
%{summary}.

%package 	tags-antlr
Summary:        Antlr tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	antlr

%description    tags-antlr
%{summary}.

%package 	tags-avalon
Summary:        Avalon tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	avalon-framework

%description    tags-avalon
%{summary}.

%package 	tags-bean
Summary:        Bean tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}

%description    tags-bean
%{summary}.

%package 	tags-beanshell
Summary:        BSH tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	bsh
Requires:	libreadline-java

%description    tags-beanshell
%{summary}.

%package 	tags-betwixt
Summary:        Betwixt tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	jakarta-commons-betwixt
Requires:	jakarta-commons-digester

%description    tags-betwixt
%{summary}.

%package 	tags-bsf
Summary:        BSF tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	bsf

%description    tags-bsf
%{summary}.

%package 	tags-define
Summary:        Define tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-dynabean = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}

%description    tags-define
%{summary}.

%package 	tags-dynabean
Summary:        Dynabean tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-dynabean
%{summary}.

%package 	tags-email
Summary:        Email tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	jaf
Requires:	javamail

%description    tags-email
%{summary}.

%package 	tags-fmt
Summary:        Formatting tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-ant = 0:%{version}-%{release}
Requires:	%{name}-tags-beanshell = 0:%{version}-%{release}
Requires:	bsh
Requires:	jakarta-commons-grant

%description    tags-fmt
%{summary}.

%package 	tags-html
Summary:        HTML tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-jsl = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	nekohtml

%description    tags-html
%{summary}.

%package 	tags-http
Summary:        HTTP tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-define = 0:%{version}-%{release}
Requires:	jakarta-commons-httpclient

%description    tags-http
%{summary}.

%package 	tags-interaction
Summary:        Interaction tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-interaction
%{summary}.

%package 	tags-jaxme
Summary:        JaxME tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	ws-jaxme

%description    tags-jaxme
%{summary}.

%package 	tags-jetty
Summary:        Jetty tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-http = 0:%{version}-%{release}
Requires:	jakarta-commons-httpclient
Requires:	jetty4
Requires:	servletapi4

%description    tags-jetty
%{summary}.

%package 	tags-jms
Summary:        JMS tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	jakarta-commons-messenger
Requires:	jms

%description    tags-jms
%{summary}.

%package 	tags-jmx
Summary:        JMX tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-bean = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	mx4j

%description    tags-jmx
%{summary}.

%package 	tags-jsl
Summary:        JSL tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-ant = 0:%{version}-%{release}
Requires:	%{name}-tags-log = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	jakarta-commons-grant

%description    tags-jsl
%{summary}.

%package 	tags-junit
Summary:        JUnit tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	junit

%description    tags-junit
%{summary}.

%package 	tags-log
Summary:        Logging tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-log
%{summary}.

%package 	tags-ojb
Summary:        OJB tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	db-ojb

%description    tags-ojb
%{summary}.

%package 	tags-quartz
Summary:        Quartz tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	log4j
Requires:	quartz

%description    tags-quartz
%{summary}.

%package 	tags-soap
Summary:        Soap tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	axis
Requires:	jakarta-commons-httpclient

%description    tags-soap
%{summary}.

%package 	tags-sql
Summary:        SQL tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	hsqldb
Requires:	jdbc-stdext

%description    tags-sql
%{summary}.

%package 	tags-swing
Summary:        Swing tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-swing
%{summary}.

%package 	tags-threads
Summary:        Threads tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-threads
%{summary}.

%package 	tags-util
Summary:        Utility tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-util
%{summary}.

%package 	tags-validate
Summary:        XML Schema validation tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	isorelax
Requires:	msv-msv
Requires:	msv-xsdlib
Requires:	relaxngDatatype

%description    tags-validate
%{summary}.

%package 	tags-velocity
Summary:        Velocity tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	velocity

%description    tags-velocity
%{summary}.

%package 	tags-xml
Summary:        Xml tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}

%description    tags-xml
%{summary}.

%package 	tags-xmlunit
Summary:        Xmlunit tags for %{name}
Group:          Development/Libraries/Java
Requires:	%{name} = 0:%{version}-%{release}
Requires:	%{name}-tags-xml = 0:%{version}-%{release}
Requires:	xmlunit

%description    tags-xmlunit
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}-src
# optionally inhibit tests to save time
#for b in `find . -name build.xml`; do
#    sed -e 's/ depends="compile,test"/ depends="compile"/' $b > tempf
#    cp tempf $b
#done
gzip -dc %{SOURCE1} | tar xf -
# won't run in headless environments
rm -f jelly-tags/swing/src/test/org/apache/commons/jelly/swing/TestSwingTags.java
# maven generated build.xml missing in cvs
cp %{SOURCE3} jelly-tags/jmx/build.xml
(cd jelly-tags/xml
rm -rf *
gzip -dc %{SOURCE2} | tar xf -
)
cat >> build.properties << EOBP
servletapi.jar=file:$(build-classpath servletapi4)
commons-cli.jar=file:$(build-classpath commons-cli)
commons-lang.jar=file:$(build-classpath commons-lang)
commons-discovery.jar=file:$(build-classpath commons-discovery)
forehead.jar=file:$(build-classpath forehead)
jstl.jar=file:$(build-classpath taglibs-standard)
junit.jar=file:$(build-classpath junit)
commons-jexl.jar=file:$(build-classpath commons-jexl)
xml-apis.jar=file:$(build-classpath xml-commons-apis)
commons-beanutils.jar=file:$(build-classpath commons-beanutils)
commons-collections.jar=file:$(build-classpath commons-collections)
commons-logging.jar=file:$(build-classpath commons-logging)
dom4j.jar=file:$(build-classpath dom4j)
jaxen.jar=file:$(build-classpath jaxen)
xerces.jar=file:$(build-classpath xerces-j2)
EOBP

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath taglibs-core)
ant -Dbuild.sysclasspath=first dist
pushd jelly-tags
  pushd junit
cat >> build.properties << EOBP
commons-cli.jar=file:$(build-classpath commons-cli)
junit.jar=file:$(build-classpath junit)
commons-jexl.jar=file:$(build-classpath commons-jexl)
xml-apis.jar=file:$(build-classpath xml-commons-apis)
commons-beanutils.jar=file:$(build-classpath commons-beanutils)
commons-collections.jar=file:$(build-classpath commons-collections)
commons-logging.jar=file:$(build-classpath commons-logging)
dom4j.jar=file:$(build-classpath dom4j)
jaxen.jar=file:$(build-classpath jaxen)
xerces.jar=file:$(build-classpath xerces-j2)
commons-jelly.jar=file:$(pwd)/../../target/commons-jelly-1.0.jar
EOBP
    ant dist
  popd
  pushd util
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-lang commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd log
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-collections commons-beanutils commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd xml
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd ant
cat >> build.properties << EOBP
ant.jar=file:$(build-classpath ant)
ant-launcher.jar=file:$(build-classpath ant-launcher)
ant-junit.jar=file:$(build-classpath ant/ant-junit)
commons-jelly-tags-junit.jar=file:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
commons-jelly-tags-util.jar=file:$(pwd)/../util/target/commons-jelly-tags-util-1.0-SNAPSHOT.jar
commons-cli.jar=file:$(build-classpath commons-cli)
xml-apis.jar=file:$(build-classpath xml-commons-apis)
commons-beanutils.jar=file:$(build-classpath commons-beanutils)
commons-collections.jar=file:$(build-classpath commons-collections)
commons-jexl.jar=file:$(build-classpath commons-jexl)
commons-jelly.jar=file:$(pwd)/../../target/commons-jelly-1.0.jar
commons-logging.jar=file:$(build-classpath commons-logging)
dom4j.jar=file:$(build-classpath dom4j)
jaxen.jar=file:$(build-classpath jaxen)
xerces.jar=file:$(build-classpath xerces-j2)
EOBP
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../util/target/commons-jelly-tags-util-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd antlr
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath antlr)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd avalon
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd bean
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd beanshell
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging bsh dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd betwixt
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-betwixt commons-digester commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd bsf
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-logging bsf)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd dynabean
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd define
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../dynabean/target/commons-jelly-tags-dynabean-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd email
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-logging jaf javamail)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd fmt
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../ant/target/commons-jelly-tags-ant-1.1-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jsl
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../ant/target/commons-jelly-tags-ant-1.1-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd html
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen nekohtml)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd http
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-httpclient)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd interaction
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-logging jline)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jetty
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../http/target/commons-jelly-tags-http-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-httpclient commons-jexl commons-logging jetty4 dom4j jaxen servletapi4)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jms
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-logging commons-messenger jms)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jmx
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../bean/target/commons-jelly-tags-bean-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-logging mx4j/mx4j-jmx dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd ojb
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-lang db-ojb/db-ojb)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd quartz
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath quartz)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd soap
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath axis/axis axis/jaxrpc commons-httpclient)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd sql
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd swing
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-jexl commons-lang commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd threads
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd validate
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging dom4j jaxen isorelax msv-msv msv-xsdlib relaxngDatatype)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd velocity
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-collections velocity)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd xmlunit
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging xmlunit dom4j jaxen)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
  pushd jaxme
    export CLASSPATH=$(pwd)/../../target/commons-jelly-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../junit/target/commons-jelly-tags-junit-1.0.jar
    CLASSPATH=$CLASSPATH:$(pwd)/../xmlunit/target/commons-jelly-tags-xmlunit-1.0-SNAPSHOT.jar
    CLASSPATH=$CLASSPATH:$(build-classpath commons-beanutils commons-collections commons-jexl commons-logging jaxme/jaxme2 jaxme/jaxmeapi jaxme/jaxmejs jaxme/jaxmexs dom4j jaxen xmlunit)
    CLASSPATH=$CLASSPATH:target/classes:target/test-classes
    ant -Dbuild.sysclasspath=only dist
  popd
popd

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/jelly-tags
install -pm 644 target/%{base_name}-%{jakarta_version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

install -pm 644 jelly-tags/ant/target/commons-jelly-tags-ant-1.1-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-ant-%{version}.jar
install -pm 644 jelly-tags/antlr/target/commons-jelly-tags-antlr-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-antlr-%{version}.jar
install -pm 644 jelly-tags/avalon/target/commons-jelly-tags-avalon-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-avalon-%{version}.jar
install -pm 644 jelly-tags/bean/target/commons-jelly-tags-bean-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-bean-%{version}.jar
install -pm 644 jelly-tags/beanshell/target/commons-jelly-tags-beanshell-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-beanshell-%{version}.jar
install -pm 644 jelly-tags/betwixt/target/commons-jelly-tags-betwixt-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-betwixt-%{version}.jar
install -pm 644 jelly-tags/bsf/target/commons-jelly-tags-bsf-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-bsf-%{version}.jar
install -pm 644 jelly-tags/define/target/commons-jelly-tags-define-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-define-%{version}.jar
install -pm 644 jelly-tags/dynabean/target/commons-jelly-tags-dynabean-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-dynabean-%{version}.jar
install -pm 644 jelly-tags/email/target/commons-jelly-tags-email-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-email-%{version}.jar
install -pm 644 jelly-tags/fmt/target/commons-jelly-tags-fmt-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-fmt-%{version}.jar
install -pm 644 jelly-tags/html/target/commons-jelly-tags-html-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-html-%{version}.jar
install -pm 644 jelly-tags/http/target/commons-jelly-tags-http-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-http-%{version}.jar
install -pm 644 jelly-tags/interaction/target/commons-jelly-tags-interaction-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-interaction-%{version}.jar
install -pm 644 jelly-tags/jaxme/target/commons-jelly-tags-jaxme-0.1.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jaxme-%{version}.jar
install -pm 644 jelly-tags/jetty/target/commons-jelly-tags-jetty-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jetty-%{version}.jar
install -pm 644 jelly-tags/jms/target/commons-jelly-tags-jms-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jms-%{version}.jar
install -pm 644 jelly-tags/jmx/target/commons-jelly-tags-jmx-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jmx-%{version}.jar
install -pm 644 jelly-tags/jsl/target/commons-jelly-tags-jsl-1.1-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-jsl-%{version}.jar
install -pm 644 jelly-tags/junit/target/commons-jelly-tags-junit-1.0.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-junit-%{version}.jar
install -pm 644 jelly-tags/log/target/commons-jelly-tags-log-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-log-%{version}.jar
install -pm 644 jelly-tags/ojb/target/commons-jelly-tags-ojb-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-ojb-%{version}.jar
install -pm 644 jelly-tags/quartz/target/commons-jelly-tags-quartz-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-quartz-%{version}.jar
install -pm 644 jelly-tags/soap/target/commons-jelly-tags-soap-1.1-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-soap-%{version}.jar
install -pm 644 jelly-tags/sql/target/commons-jelly-tags-sql-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-sql-%{version}.jar
install -pm 644 jelly-tags/swing/target/commons-jelly-tags-swing-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-swing-%{version}.jar
install -pm 644 jelly-tags/threads/target/commons-jelly-tags-threads-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-threads-%{version}.jar
install -pm 644 jelly-tags/util/target/commons-jelly-tags-util-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-util-%{version}.jar
install -pm 644 jelly-tags/validate/target/commons-jelly-tags-validate-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-validate-%{version}.jar
install -pm 644 jelly-tags/velocity/target/commons-jelly-tags-velocity-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-velocity-%{version}.jar
install -pm 644 jelly-tags/xml/target/commons-jelly-tags-xml-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-xml-%{version}.jar
install -pm 644 jelly-tags/xmlunit/target/commons-jelly-tags-xmlunit-1.0-SNAPSHOT.jar \
      $RPM_BUILD_ROOT%{_javadir}/jelly-tags/%{name}-tags-xmlunit-%{version}.jar

export taglibs="ant antlr avalon bean beanshell betwixt bsf define dynabean email fmt html http interaction jaxme jetty jms jmx jsl junit log ojb quartz soap sql swing threads util validate velocity xml xmlunit"

(
cd $RPM_BUILD_ROOT%{_javadir} 
for tag in ${taglibs}; do
  ln -sf jelly-tags/%{name}-tags-${tag}-%{version}.jar %{name}-tags-${tag}.jar
done
for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done
for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done
cd jelly-tags
for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done
for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done
)

#javadoc dirs
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags
for tag in ${taglibs}; do
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags/${tag}
done

#javadoc files
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
for tag in ${taglibs}; do
  cp -pr jelly-tags/${tag}/dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jelly-tags/${tag}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/jakarta-commons-jelly-1.0.jar
%{_javadir}/jakarta-commons-jelly.jar
%{_javadir}/commons-jelly-1.0.jar
%{_javadir}/commons-jelly.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files    tags-ant
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-ant.jar
%{_javadir}/commons-jelly-tags-ant.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ant-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ant.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ant-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ant.jar

%files    tags-antlr
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-antlr.jar
%{_javadir}/commons-jelly-tags-antlr.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-antlr-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-antlr.jar
%{_javadir}/jelly-tags/commons-jelly-tags-antlr-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-antlr.jar

%files    tags-avalon
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-avalon.jar
%{_javadir}/commons-jelly-tags-avalon.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-avalon-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-avalon.jar
%{_javadir}/jelly-tags/commons-jelly-tags-avalon-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-avalon.jar

%files    tags-bean
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-bean.jar
%{_javadir}/commons-jelly-tags-bean.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bean-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bean.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bean-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bean.jar

%files    tags-beanshell
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-beanshell.jar
%{_javadir}/commons-jelly-tags-beanshell.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-beanshell-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-beanshell.jar
%{_javadir}/jelly-tags/commons-jelly-tags-beanshell-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-beanshell.jar

%files    tags-betwixt
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-betwixt.jar
%{_javadir}/commons-jelly-tags-betwixt.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-betwixt-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-betwixt.jar
%{_javadir}/jelly-tags/commons-jelly-tags-betwixt-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-betwixt.jar

%files    tags-bsf
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-bsf.jar
%{_javadir}/commons-jelly-tags-bsf.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bsf-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-bsf.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bsf-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-bsf.jar

%files    tags-define
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-define.jar
%{_javadir}/commons-jelly-tags-define.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-define-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-define.jar
%{_javadir}/jelly-tags/commons-jelly-tags-define-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-define.jar

%files    tags-dynabean
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-dynabean.jar
%{_javadir}/commons-jelly-tags-dynabean.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-dynabean-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-dynabean.jar
%{_javadir}/jelly-tags/commons-jelly-tags-dynabean-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-dynabean.jar

%files    tags-email
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-email.jar
%{_javadir}/commons-jelly-tags-email.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-email-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-email.jar
%{_javadir}/jelly-tags/commons-jelly-tags-email-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-email.jar

%files    tags-fmt
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-fmt.jar
%{_javadir}/commons-jelly-tags-fmt.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-fmt-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-fmt.jar
%{_javadir}/jelly-tags/commons-jelly-tags-fmt-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-fmt.jar

%files    tags-html
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-html.jar
%{_javadir}/commons-jelly-tags-html.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-html-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-html.jar
%{_javadir}/jelly-tags/commons-jelly-tags-html-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-html.jar

%files    tags-http
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-http.jar
%{_javadir}/commons-jelly-tags-http.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-http-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-http.jar
%{_javadir}/jelly-tags/commons-jelly-tags-http-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-http.jar

%files    tags-interaction
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-interaction.jar
%{_javadir}/commons-jelly-tags-interaction.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-interaction-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-interaction.jar
%{_javadir}/jelly-tags/commons-jelly-tags-interaction-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-interaction.jar

%files    tags-jaxme
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jaxme.jar
%{_javadir}/commons-jelly-tags-jaxme.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jaxme-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jaxme.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jaxme-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jaxme.jar

%files    tags-jetty
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jetty.jar
%{_javadir}/commons-jelly-tags-jetty.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jetty-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jetty.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jetty-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jetty.jar

%files    tags-jms
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jms.jar
%{_javadir}/commons-jelly-tags-jms.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jms-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jms.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jms-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jms.jar

%files    tags-jmx
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jmx.jar
%{_javadir}/commons-jelly-tags-jmx.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jmx-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jmx.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jmx-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jmx.jar

%files    tags-jsl
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-jsl.jar
%{_javadir}/commons-jelly-tags-jsl.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jsl-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-jsl.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jsl-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-jsl.jar

%files    tags-junit
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-junit.jar
%{_javadir}/commons-jelly-tags-junit.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-junit-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-junit.jar
%{_javadir}/jelly-tags/commons-jelly-tags-junit-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-junit.jar

%files    tags-log
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-log.jar
%{_javadir}/commons-jelly-tags-log.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-log-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-log.jar
%{_javadir}/jelly-tags/commons-jelly-tags-log-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-log.jar

%files    tags-ojb
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-ojb.jar
%{_javadir}/commons-jelly-tags-ojb.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ojb-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-ojb.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ojb-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-ojb.jar

%files    tags-quartz
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-quartz.jar
%{_javadir}/commons-jelly-tags-quartz.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-quartz-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-quartz.jar
%{_javadir}/jelly-tags/commons-jelly-tags-quartz-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-quartz.jar

%files    tags-soap
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-soap.jar
%{_javadir}/commons-jelly-tags-soap.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-soap-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-soap.jar
%{_javadir}/jelly-tags/commons-jelly-tags-soap-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-soap.jar

%files    tags-sql
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-sql.jar
%{_javadir}/commons-jelly-tags-sql.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-sql-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-sql.jar
%{_javadir}/jelly-tags/commons-jelly-tags-sql-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-sql.jar

%files    tags-swing
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-swing.jar
%{_javadir}/commons-jelly-tags-swing.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-swing-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-swing.jar
%{_javadir}/jelly-tags/commons-jelly-tags-swing-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-swing.jar

%files    tags-threads
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-threads.jar
%{_javadir}/commons-jelly-tags-threads.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-threads-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-threads.jar
%{_javadir}/jelly-tags/commons-jelly-tags-threads-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-threads.jar

%files    tags-util
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-util.jar
%{_javadir}/commons-jelly-tags-util.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-util-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-util.jar
%{_javadir}/jelly-tags/commons-jelly-tags-util-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-util.jar

%files    tags-validate
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-validate.jar
%{_javadir}/commons-jelly-tags-validate.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-validate-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-validate.jar
%{_javadir}/jelly-tags/commons-jelly-tags-validate-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-validate.jar

%files    tags-velocity
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-velocity.jar
%{_javadir}/commons-jelly-tags-velocity.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-velocity-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-velocity.jar
%{_javadir}/jelly-tags/commons-jelly-tags-velocity-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-velocity.jar

%files    tags-xml
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-xml.jar
%{_javadir}/commons-jelly-tags-xml.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xml-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xml.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xml-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xml.jar

%files    tags-xmlunit
%defattr(-,root,root,-)
%{_javadir}/jakarta-commons-jelly-tags-xmlunit.jar
%{_javadir}/commons-jelly-tags-xmlunit.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xmlunit-1.0.jar
%{_javadir}/jelly-tags/jakarta-commons-jelly-tags-xmlunit.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xmlunit-1.0.jar
%{_javadir}/jelly-tags/commons-jelly-tags-xmlunit.jar


%changelog
* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- Upgrade to 1.0 final
- Require newest jaxen and dom4j

* Mon Jan 31 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.2jpp
- Revert beanutils requirement to < 1.7 i.e. jakarta-commons-beanutils16

* Sat Jan 29 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.1jpp
- Upgrade to RC1
- Built with beanutils-1.7.0-2jpp

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.7jpp
- Rebuild with db-ojb-1.0.1 and quartz-1.4.2

* Fri Sep 17 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.6jpp
- Pro forma update to leave runaway jelly-tags-antlr behind

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.5jpp
- Include the tag libraries in this source package
- Include javadoc for tag libraries in only one -javadoc subpackage
- Install tag library jars into %{_javadir}/jelly-tags
- Create unversioned compatibility symlinks to taglib jars in %{_javadir}
- Upgrade to use jaxen-1.1 and dom4j-1.5
- Drop saxpath requirement, as this is now part of jaxen

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b4.4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b4.2jpp
- Upgrade to Ant 1.6.X

* Fri Jan 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.1jpp
- First JPackage release
